<?php
Route::group(['middleware' => 	'Administrator', ['auth']], function () {
	/************************Suppliers**********************************/
	route::resource("/construction-suppliers","SupplierController");
	route::get('/get-data-supplier','SupplierController@get_data_supplier')->name("data.suppliers");
	/************************Subcontract********************************/
	route::resource("/construction-subcontract","SubcontractController");
	route::get('/get-data-subcontract','SubcontractController@get_data_subcontract')->name("data.subcontract");
	/************************Brand**************************************/
	route::resource("/construction-brand","BrandController");
	route::get('/get-data-brand','BrandController@get_data_brand')->name("data.brand");
	route::match(['get','post'],'/get-data-edit/{id?}','BrandController@edit_data_brand')->name("edit_data_brand");
	route::post('/get-data-update','BrandController@update_data_brand')->name("update_data_brand");
	/************************Categories**************************************/
	route::resource("/construction-categories","CategoriesController");
	route::get('/get-data-categories','CategoriesController@get_data_categories')->name("data.categories");
	route::get('/get-data-categories-edit/{id}','CategoriesController@edit_data_categories')->name("edit_data_categories");
	route::post('/get-data-update-categories','CategoriesController@update_data_categories')->name("update_data_categories");
	/************************Product**********************************/
	route::resource("/construction-product","ProductStockController");
	route::get('/get-data-product','ProductStockController@get_data_product')->name("data.product");
	/************************Bill Of Quantities(BOQ)**********************************/
	route::resource("/construction-BOQ","BOQController");
	route::get('/get-data-BOQ','BOQController@get_data_BOQ')->name("data.BOQ");
});

